package com.wuban.tron.explore.util;

/**
 * ClassName:ResponseKit <br/>
 * Function: API返回结果组装工具. <br/>
 * Date: 2018年9月20日 下午4:20:42 <br/>
 * @author Jack Bai
 * @version 1.0.0
 * @see
 */
public class ResponseKit {

	public static SuccessResponseData success() {
		return new SuccessResponseData();
	}

	public static <T> SuccessResponseData success(T object) {
		return new SuccessResponseData(object);
	}

	public static <T> SuccessResponseData success(String message, T object) {
		return new SuccessResponseData(message, object);
	}
	public static ErrorResponseData fail(Integer code, String message) {
		return new ErrorResponseData(code, message);
	}

	public static ErrorResponseData fail(Integer code, String message, Object object) {
		return new ErrorResponseData(code, message, object);
	}

}
